Bug 105663 - (TB008646d7) TB ethernethardware.py:111:hydrate:TypeError: GtkEntry.set_text() argument 1 must be string, not None
TB ethernethardware.py:111:hydrate:TypeError: GtkEntry.set_text() argument 1 ...
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: redhat-config-network (Show other bugs)
s390x Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
David Lawrence
Depends On:
Blocks: 101028
  Show dependency treegraph
Reported: 2003-09-26 08:52 EDT by Karsten Hopp
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-19 15:34:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
config screen (devel1) (28.01 KB, image/png)
2003-09-26 09:02 EDT, Karsten Hopp
no flags Details

  None (edit)
Description Karsten Hopp 2003-09-26 08:52:46 EDT
Description of problem: 
Component: redhat-config-network 
Version: 1.2.58 
Summary: TB008646d7 ethernethardware.py:111:hydrate:TypeError: 
GtkEntry.set_text() argument 1 must be string, not None 
Traceback (most recent call last): 
line 732, in on_editButton_clicked 
line 1507, in on_hardwareEditButton_clicked 
line 1517, in showHardwareDialog 
line 32, in getDialog 
line 68, in __init__ 
line 111, in hydrate 
TypeError: GtkEntry.set_text() argument 1 must be string, not None 
Local variables in innermost frame: 
self: <netconfpkg.gui.ethernethardware.ethernetHardwareDialog instance at 
Version-Release number of selected component (if applicable): 
How reproducible: 
Steps to Reproduce: 
select hardware page 
select an eth device (qeth) 
click on second left button, no tooltip, but probably 'configure' 
Actual results: 
Expected results: 
Additional info:
Comment 1 Karsten Hopp 2003-09-26 09:02:46 EDT
Created attachment 94755 [details]
config screen (devel1)

this only happens on eth1, editing eth0 is ok
Comment 2 Karsten Hopp 2003-09-26 09:05:05 EDT
another question: Why are there files with buildroot directories in the 
traceback ? 
Comment 3 Harald Hoyer 2003-09-26 09:34:11 EDT
python precompile does the buildroot paths...
Comment 4 Harald Hoyer 2003-09-26 09:38:07 EDT
fixed in CVS... showstopper or not?
Comment 5 Karsten Hopp 2003-09-26 09:47:42 EDT
no showstopper since you can't edit the other devices either. 
'Sorry, there's nothing to be edited' 
Comment 6 Florian La Roche 2003-09-27 07:48:31 EDT
Adding to should-fix list, so that this can later be queued into an U1.


Florian La Roche
Comment 7 RHEL Product and Program Management 2007-10-19 15:34:27 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
For more information of the RHEL errata support policy, please visit:
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.